# List workspaces associated with a template ID

Get all workspaces associated with a specific template ID

Endpoint: GET /iacm/api/workspace/templates/{template_id}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `org` (string)
    Organization identifier (required for 'org' and 'project' scope).
    Example: "x"

  - `project` (string)
    Project identifier (required for 'project' scope).
    Example: "mpx"

  - `version` (string)
    Template version associated with the workspace.
    Example: "6uq"

## Path parameters:

  - `template_id` (string, required)
    Template identifier to filter workspaces
    Example: "vas"

## Header parameters:

  - `Harness-Account` (string, required)
    Account identifier.
    Example: "gv"

## Response 200 fields (application/json):

  - `account` (string, required)
    Account identifier.
    Example: "2"

  - `created_at` (integer, required)
    Timestamp when the workspace-template association was created.
    Example: 1627590400

  - `org` (string, required)
    Organization identifier.
    Example: "hg"

  - `project` (string, required)
    Project identifier.
    Example: "jql"

  - `template_id` (string, required)
    Template identifier.
    Example: "3"

  - `updated_at` (integer, required)
    Timestamp when the workspace-template association was last updated.
    Example: 1627686800

  - `version` (string)
    Template version associated with the workspace.
    Example: "u"

  - `workspace_id` (string, required)
    Workspace identifier.
    Example: "8"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


